unit FormFNCChartProblems;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, VCL.TMSFNCTypes, VCL.TMSFNCUtils,
  VCL.TMSFNCGraphics, VCL.TMSFNCGraphicsTypes, Vcl.StdCtrls,
  VCL.TMSFNCCustomComponent, VCL.TMSFNCChartEditor, VCL.TMSFNCChart,
  Vcl.ExtCtrls;

type
  TForm6 = class(TForm)
    TMSFNCChart1: TTMSFNCChart;
    charteditor: TTMSFNCChartEditorDialog;
    Button1: TButton;
    CheckBox1: TCheckBox;
    rgMode: TRadioGroup;
    rgMode1: TRadioGroup;
    CheckBox2: TCheckBox;
    Button2: TButton;
    procedure Button1Click(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure rgModeClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure CheckBox2Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form6: TForm6;

implementation

{$R *.dfm}

procedure TForm6.Button1Click(Sender: TObject);
begin
  charteditor.Execute;
end;

procedure TForm6.Button2Click(Sender: TObject);
begin
  if ypRight in TMSFNCChart1.Series[1].YValues.Positions then
    TMSFNCChart1.Series[1].YValues.Positions := []
  else
    TMSFNCChart1.Series[1].YValues.Positions := [ypRight];
end;

procedure TForm6.CheckBox1Click(Sender: TObject);
begin
  TMSFNCChart1.Series[1].Points[0].Undefined := checkbox1.Checked;
end;

procedure TForm6.CheckBox2Click(Sender: TObject);
begin
  if CheckBox2.Checked then begin
    if TMSFNCChart1.Series[0].GetPointsCount = 1 then
      TMSFNCChart1.Series[0].AddPoint(10000, 'Data Point 2');
    if TMSFNCChart1.Series[1].GetPointsCount = 1 then
      TMSFNCChart1.Series[1].AddPoint(61);
  end else begin
    while TMSFNCChart1.Series[0].GetPointsCount > 1 do
      TMSFNCChart1.Series[0].Points.Items[1].Destroy;
    while TMSFNCChart1.Series[1].GetPointsCount > 1 do
      TMSFNCChart1.Series[1].Points.Items[1].Destroy;
  end;
end;

procedure TForm6.FormCreate(Sender: TObject);
begin
  CheckBox1.Checked := TMSFNCChart1.Series[1].Points[0].Undefined;
  rgMode.ItemIndex  := 1 - ord(TMSFNCChart1.Series[0].Mode);
  rgMode1.ItemIndex := 1 - ord(TMSFNCChart1.Series[1].Mode);
  CheckBox2.Checked := (TMSFNCChart1.Series[0].GetPointsCount > 1);
end;

procedure TForm6.rgModeClick(Sender: TObject);
begin
  TMSFNCChart1.Series[TRadioGroup(Sender).Tag].Mode := TTMSFNCChartSerieMode(1 - TRadioGroup(Sender).ItemIndex);
end;

end.
